=== AMP for WP - Accelerated Mobile Pages ===
Contributors: mohammed_kaludi, ahmedkaludi, ampforwp
Tags: AMP, accelerated mobile pages, mobile, amp project, google amp, amp wp, google, plugin, SEO
Donate link: https://www.paypal.me/Kaludi/5
Requires at least: 3.0
Tested up to: 4.8
Stable tag: 0.9.53
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html

AMP for WP is the most recommended AMP plugin by the community. Automatically add Accelerated Mobile Pages (Google AMP Project) functionality on your WordPress site.

== Description ==
AMP for WP automatically adds Accelerated Mobile Pages (Google AMP Project) functionality to your WordPress site. AMP makes your website faster for Mobile visitors.

[What's New in this Version?](http://ampforwp.com/new/) | [Priority Support](https://ampforwp.com/priority-support/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin) | [View Demo](https://demo.ampforwp.com/amp/) | [Screenshots](https://wordpress.org/plugins/accelerated-mobile-pages/screenshots/) | [Community](http://ampforwp.com/community/)

[youtube https://www.youtube.com/watch?v=jglJGmlZyos]

<strong>Extensions</strong><br>
Some useful extensions to extend AMP features, check [AMP Adsense Support](https://ampforwp.com/advanced-amp-ads/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin), [Contact Form 7 Support](https://ampforwp.com/contact-form-7/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin), [Email Opt-in Support](https://ampforwp.com/opt-in-forms/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin) and [Call To Action Support](https://ampforwp.com/call-to-action/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin). To view more, go to our [Extensions page](https://ampforwp.com/extensions/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin).

<strong>Premium Support</strong><br>
We try our best to provide support on WordPress.org forums. However, One-on-one email support is available to people who bought the [Priority Support](https://ampforwp.com/priority-support/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin) only. 

<strong>Bug Reports</strong><br>
Bug reports for AMP for WP are [welcomed on GitHub](https://github.com/ahmedkaludi/Accelerated-Mobile-Pages). Please note GitHub is _not_ a support forum, and issues that aren't properly qualified as bugs will be closed.


= Features: =

* NEW - Contact Form 7 Support [More Info](https://ampforwp.com/contact-form-7/)
* NEW - Page Builder for AMP! [Watch the Demo](http://ampforwp.com/demo/#pagebuilder) | [How to](https://ampforwp.com/tutorials/page-builder/)
* NEW - Github Gist Support
* NEW - Facebook Comments Support
* NEW - Email Opt-in Subscription form support in AMP added
* Call to Action boxes and notification bars 
* 9 Advertisement sizes - 2 More AD slots added recently
* Comments Forms in AMP.
* Native AMP Search functionality.
* Design 3 [Watch the Video Overview](https://www.youtube.com/watch?v=ub1pwskt3Rc)
* Disqus Comments Support
* Google Tag Manager Support
* Page, Category & Tags Support Added
* Custom AMP Editor - Which allows you to override your Content that you had written in Post or page, so you can add the different content just for AMP.
* Mobile Redirection -  More than 50% of your traffic is from mobile and you aren’t doing anything to improve their user experience, which means you are falling behind on SEO and it can result in lower SERPS. Lightning fast mobile version means faster User experience means more engagement which directly results in the lower bounce rate.
* Custom Post Type Support 
* Star Ratings
* Drag & Drop Page builder Added 
* 2 Designs Added 
* Yoast SEO support on AMP pages and other SEO plugins
* AMP WooCommerce Support 
* Switch on/off Support for Pages on AMP
* Translation Panel & RTL
* Internal AMP linking - You can browse AMP pages internally
* Related posts below the post
* Recent Comments list
* Automatically integrate AMP to your website.
* Google Adsense (AMP-AD) Support with 4 different Ad slots across the layout! The First Plugin to have this capability.
* Google Analytics Support.
* User Friendly Theme Options Panel.
* Unlimited Color Scheme.
* Image Logo Upload.
* Supports Posts and Pages.
* Proper rel canonical tags which means that Google know the original page.
* Overlay Navigation Menu bar.
* Social Sharing in the Single.
* Sexy Design.
* Separate WordPress Menu for AMP version.
* Page builder & Shortcodes Compatibility.
* Carousel support for Gallery.
* Better Image stretching and resizing.
* Youtube Video Embed Support.
* Vine Embed Support.
* Twitter oembed Support.
* Instagram Embed Support.
* Facebook Video Embed Support.
* RTL Support
* Custom AMP FrontPage
* Notifications
* Chartbeat (NEW), Hi-stats (NEW), Yandex Metrika (NEW), Piwik, Segment.com, StatCounter, Effective Measure and comScore Support 
* Incontent & DoubleClick Support
* Great Support & Active Development.
* Widgets & WooCommerce 

**[JOIN CHAT GROUP COMMUNITY](http://ampforwp.com/community/)**: Purpose of this group is to get proper suggestions and feedback from plugin users and the community so that we can make the plugin even better.

= Getting Started: =
**[1. User Documentation:](http://ampforwp.com/help/)** The AMP for WP plugin is easy to setup but we have some tutorials and guides prepared for you which will help you dive deep with the plugin.

**[2. Developer Docs:](https://ampforwp.com/help/#extend)** We have created special documentations for developers and semi technical users who are willing to modify the plugin according to their own needs.

**[3. Fixing AMP Validation Errors:](https://ampforwp.com/priority-support/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin)** We will personally take care that your website’s AMP version is perfectly validated. We will make sure that your AMP version gets approved and indexed by Google Webmaster Tools properly and we will even keep an eye on AMP updates from Google and implement them into your website.

**[4. Community Support Forum:](https://ampforwp.com/help/#support-forum)** We have a special community support forum where you can ask us questions and get help about your AMP related questions. Delivering a good user experience means alot to us and so we try our best to reply each and every question that gets asked.

**[5. Frequently Asked Questions:](http://ampforwp.com/faq/)** Some of the Frequently Asked questions.

= Issues & Bug Reports: =
**How do I Report Bugs and Suggest New Features**
<i>You</i> can report the bugs at https://github.com/ahmedkaludi/Accelerated-Mobile-Pages/issues

**Will you Add New features upon my request?**
Yes, Absolutely! I would suggest you to send your feature request by creating an issue in Github at https://github.com/ahmedkaludi/Accelerated-Mobile-Pages/issues/new/ . It helps us organize the feedback easily.

**How do I get in touch?**
You can contact me using this url: http://ampforwp.com/contact/


== Installation ==
**[Visit Help area for the Documentation:](http://ampforwp.com/help/)**

[youtube https://www.youtube.com/watch?v=zzRy6Q_VGGc]

**[Visit Help area for the Documentation:](http://ampforwp.com/help/)**


== Frequently Asked Questions ==
**[View The Full FAQ at:](http://ampforwp.com/faq/)**


== Screenshots ==
1. AMP Homepage
2. AMP Single Post
3. Post Navigation in Single
4. Sticky Social sharing icons
5. Overlay Navigation menu sidebar.
6. Page builder of the Single article. You can drag and drop any element.
7. Single post of Design One
8. GTMetrix Performance Report
9. Google PageSpeed Insight report for AMP
10. Homepage of Design One
11. Pingdom Speed Report for AMP


== Changelog ==

= 0.9.53 (19th June 2017) =
* View more details on https://ampforwp.com/stability-validation-issues-59th-update/
* Compatibility Issue with Rocket Lazy Load plugin #907
* Link color issue with UX of Color Pickers in Design 3 #731
* amp-analytics js appears more than once when Google tag manager is used #885
* SEO by SQUIRRLY is adding analytics twice #678
* Fatal error when WPSEO is activated #900
* Design 3 Sticky header should have an option #625
* Search form was enhanced, it can now be used on the websites without https certificate. That will certainly fix a lot of validation issues. #912
* Yandex Metrika support in AMP #585
* Histats Analytics Support #880
* Chartbeat Analytics Support #882
* Do not strip Rel from anchor tags #790
* Design close Resulting Blank Screen in AMP Site #642
* Logo size is not applying #817
* AMP Publisher logo guidelines #162
* Remove amp-social-share extension .js from Custom Frontpage #899
* Add compatibility with Sassy Social Share #679
* Remove Disallowed ‘like’ tag from Facebook Like button by Ultimate Facebook plugin

= 0.9.51.1 (12th June 2017) =
* Redirection issue after 0.9.51 Update.
* Improved compatibility with plugins.

= 0.9.51 (8th June 2017) =
* View more details on https://ampforwp.com/page-builder-released-in-amp/
* Page Builder Support added ( See Tutorial at https://ampforwp.com/tutorials/page-builder/ )
* Comments are not showing properly when words are long #861
* Remove amp-social-share extension .js from Pages #853
* The tag ‘amp-sidebar extension .js script’ appears more than once in the document #828
* Remove Advertisement tab #839
* Compatibility with Slide-in Plugin by WPMU dev #866
* Mobile redirection issue with bbpress #867
* All the data must be properly sanitize in the sidebar #849
* AMP html should not be added on the second page of comments
* Author page’s support #456
* URLs in comments should be clickable(links) #869
* Featured image should be centered in desktop mode #870
* Added More Hooks #721 (Documentation on this coming soon!)
* Page 2 goes to the wrong URL #865
* Proper Title and meta for homepage and posts #850
* Gist Support added #608 – Just add a shortcode and enjoy Devs (Ex: amp-gist id="b9bb35bc68df68259af94430f012425f )
* /blog/amp pagination not working #875
* separate the Text and Date format in design 2 #876
* Comments show in AMP w/o breaks between paragraphs #873
* If no featured image below hooks are not working #877
* Change meta name Viewport and its value #878
* Bolt icon in option #474
* Code restructuring and code quality improvements.
* Create a seperate function for comment code in frontpage.php #682
* Remove all the duplicate code from frontpage.php of all the designs and use hooks to add the code instead of static code #889
* Few Debug errors removed.

= 0.9.50 (24 May 2017) =
* View more details on https://ampforwp.com/facebook-comments-in-amp/
* Design 3 Social Icons issue #832
* View non AMP leads to /?nonamp=1 #814
* Youtube shortcode compatibility improved #557
* welcome.php should be shown only if user is “administrator” #696
* Facebook comments support added in AMP #825
* WP Like Button Compatibility #841
* Custom Taxonomy Support added with Custom Post Type Extension.
* Front page – comments not found as expected #837
* Fixed xml:lang tag issue #848
* Sanitize Iframe in the archive description Fixed #845
* Compatibility with Newspaper Theme by TagDiv #842 and #796
* Some debug problems (blog page, style.php) #838
* Featured Image hooks added
* Twitter is misspelled #854
* The core concept of the AMP Content builder has been built.


= 0.9.49 (12 May 2017) =
* View more details on https://ampforwp.com/0-9-49-released-small-important-bugs-fixed-56th-update/
* Option added to display the excerpt in Single #806
* Ability to add new invalid tags to filter out from AMP pages #809
* In frontpage, comment button is pointing to wrong URL #812
* Call now button and search is overlapping in Design-1 #784
* Sticky Social Icons should be off if the CTA notification bar is on #788
* Author bio in Design 1 and 2 #732
* Styling in Taxonomy description causing validation issues #798
* Twitter share(handle, url positions fixed) #815
* Tables responsiveness in ALL Designs #726
* Output all the categories and tags with their own ID’s in the div classes #750
* Social Share Icons Overlap with Leave A Comment in Design 3 #716
* Effective Measure Support on AMP #297
* Custom AMP editor on pages should only be shown when page support is ON #756
* AMP on website.com/blog without need of separate installation #775
* GTranslate Compatible #819
* Images and amp-anim styling added #725
* Filter to make the title in a post to a link #727
* Author Bio and Social Share button must not come in Pages #770
* StatCounter is now compatible with AMP #361
* Line Social media support #500
* Footer menus for Design 1 & Design 2 #623
* Strip out src=”about:blank” When Gravity Forms used #804
* Add Compatibility with Crazy Lazy load plugin #751
* Meta Titles and Description issues fixed with Yoast, All in one SEO and The SEO Framework #813
* Double quotes in the Excerpt of the meta description is making AMP Invalidated #818
* Missing featured image on static front page #824
* Fatal error while activation: see the video 0.9.49 Beta #827
* Review this code in archive.php in all 3 designs. #826


= 0.9.48 (28 April 2017) =
* View more details on: https://ampforwp.com/0-9-48-released-step-towards-multilingual-support-55th-update/
* The default translation method of WordPress added. (Option in Translation panel to switch between * Translation panel and POT file #540)
* A new Advertisement slot added above the related posts in the Single. It not only gives better options for people to display ads but this ad slot is also very handy if you are using ad companies like Taboola and RevContent.
* Another Advertisement slot added below the post title in the Single post.
* Fatal error: require_once report-bugs.php #747 fixed
* Add / for codes in Meta Description #766 fixed
* Controls re-adjusted & Renamed title of yoast description control in Options panel
* Design-3 Slider URL redirecting to non-AMP page #758
* Added new sanitizer For HTML to AMP-HTML conversion
* Sanitized Archive descriptions so that it would convert to AMP
* Comments sanitized with new sanitizer so that HTML tags automatically become AMP compatible.
* 301 redirects on non-pretty internal links #767
* Create a filter to modify the value of rel="amphtml" #778
* Max-width added for images in comments
* If in WooCommerce ?amp endpoint set then update href.
* Undefined Variable (Debug) #733 and many other debug issues were fixed
* Show last updated Post instead of published date #575
* WooCommerce Widget added to display latest products on homepage. #763
* add amp_post_template_above_footer hook global in all the designs #779
* Excerpt on top of the content in Single #665
* Subscribe box has been improved for the UX needs #712
* Notice warnings since 0.4.2 update #740
* AMP Comments Form Integration with the extension
* Filter added on the loop in Homepage of the Design 3 so that it can be modified with an external plugin.
* 404 on paged home page #781
* Twitter handle should be at the end of the tweet not in the beginning #787
* Wrong Rel Canonical for AMP Custom Frontpage #799
* Merged a pull request #761 that will improve the title and description output that is much more stable and flexible for future enhancement and use. It was contributed by Sybre Waaijer - Thanks mate for the contribution, we (our team and users) really appreciate your hard work done on this code.
* Extension page user experienced improved.
* Removed old Youtube installation video and replaced with new one.

= 0.9.47.2 (12 April 2017) =
* Design-3 Slider URL redirecting to non-AMP page #758
* Ads showing in comments #768

= 0.9.47.1 (11 April 2017) =
* Meta description option improved in SEO section #766
* Fatal error: require_once report-bugs.php #747

= 0.9.47 (10 April 2017) =
* View more details at https://ampforwp.com/0-9-47-released-54th-update/
* Meta saving method updated for customAMP content editor checkbox was causing some conflict.
* Wrong Yoast title and structured data in Custom Frontpage fixed
* CSS minification all 3 designs
* Polylang flags in menu was causing validation issue, is now resolved
* WPML flags in menu was causing validation issue, is now resolved
* Standardized function created for content sanitization.
* Archive description now displays AMP compatible markup
* Comments markup sanitized for AMP
* Design 3 images not aligned properly, fixed
* Images are aligned to center in Design 1.
* carousel ending with //amp instead of /amp – fixed #753
* Title of the Post along with Post link when shared in twitter #683
* Ads were cutting in half in RTL, fixed
* Add / at the end of AMP links with in the AMP pages (Internal links) #668
* Rendering the wrong URLs in front page if paged #742
* Option to turn off AMP on all pages, so people can turn on only for specific pages #746
* Need Meta Description on amp pages #741
* Woocommerce Loop shortcode updated
* Call Now Button added in header #563
* Post images are not centered in Design 3 #695
* UX of GTM settings done, since users were getting confused #700
* Front page amphtml fixed for paginated pages

= 0.9.45.6 (31 March 2017) =
* Installation Process from welcome page was not working after WP Plugin DIR API change was fixed.
* WP Rocket Minifcation and Concatenation was not working, its fixed now.
* WP Rocket was tested properly to make sure everything is working fine.

= 0.9.45.5 (25 March 2017) =
* WP rocket conflict solved  
* Cannot set property ‘innerHTML’ of null issue fixed

= 0.9.45.3 (21 March 2017) =
* Post 0.9.45 bugs fixed and released as an urgent update.

= 0.9.45.1 (19 March 2017) =
* Post 0.9.45 bugs fixed and released as an urgent update.

= 0.9.45 (18 March 2017) =
* View more details at https://ampforwp.com/0-9-45-released-compatibility-rtl-53rd-update/
* W3Total cache compatibility added
* RTL Support added for Right-to-Left language websites.
* Comments Pagination feature added
* WP-Rocket Compatibility added
* WPML Compatibility added
* Quantcast analytics support added
* ComScore support added
* Custom Yoast title support added #685
* WooCommerce Shortcode: Allows you to display WooCommerce Products.  [amp-woocommerce num=6] will display the 6 products from WooCommerce.  [amp-woocommerce num=6 link=noamp] will display 6 products but they will go to non-amp website, if you want to link to AMP version of the page then use [amp-woocommerce num=6 link=amp]
* Admin area UX improvements
* Adding notifications script in the correct way
* Comments now display on frontpage as well.
* Re-positioned non-amp Header link control to the right section.
* ?nonamp=1 only displays when the Mobile redirection is on
* Properly adding iFrame js.
* Custom Post type incompatibility fixed
* Widgets added to the Custom Frontpage.
* Stripping shortcodes from excerpts.
* Custom content on static frontpage had over riding issue #687
* Option added for controlling number of comments
* Welcome page should be shown only if user is “administrator” #696
* Digg Digg social share compatibility #694
* Removed unnecessary lines from Design 3
* Sanitized Archive Description to amp Compatible #659
* Author box now displays HTML properly #645
* Date added Design-3 in meta #583
* Options link was removed from wp-admin tool bar after a feedback from a user.
* Footer sub menus layout compatibility.


= 0.9.44 (5 March 2017) =
* View more details at https://ampforwp.com/user-experience-52nd-update/
* Added Welcome Screen for better User experience. [Enhancement]
* Undefined Index debug error resolved [Bug fix]
* All in one SEO Support support tested [3rd party compatibility]
* Frontpage title in Design 3 is out of the container #644 [Bug fix]
* Default Table markup in AMP #643 [Enhancement]
* AMP carousel is not working on Frontpage #641 [Bug fix]
* Social share .js was getting added even when it was not required #638 [Bug fix]
* Search Feature added for Design 1 & Design 2 [Major Improvement]
* Accordion script loading issue in Design 3 #634 [Bug fix]
* ?nonamp=1 links should be nofollow #622 [Bug fix]
* Same Header and Color Scheme are making header elements invisible #629 [Enhancement]
* In Search AMP rel canonical was different #631 [Bug fix]
* Non-AMP link in Design 3 was not working when mobile redirection was enabled #632 [Bug fix]
* Search form text strings are now added in the translation panel #607 [Bug fix]
* Load AMP-ads conditionally only if ads are available #609 [Bug fix]
* Added compatibility with Custom post type extension. Option to hide/show AMP on all custom post types #587 [Bug fix]
* Report a Bug & Request feature links added [Enhancement]
* If there was no menu set in Design 3 then all pages were getting displayed. #613 [Bug fix]
* The tag Font is disallowed #616 [Validation Improved]
* index/noindex separately added for Tags and also for Categories #606 [Enhancement]
* Use of undefined constant AMP_QUERY_VAR #596 [Bug fixed]
* Logo is not centered in Design 3 #586 [Bug fixed]
* Remove defer, a very rare type of defer was getting added #589 [Validation Improved]
* Disqus comments iframe had scrolling issues #566 [Bug fixed]
* Left side blank gap in the RTL in design 2 #541 [Bug fixed]
* Inline Styles not working correctly in Custom AMP Editor #533 [Bug fixed]
* Re-save permalinks issues. Flushing rewrites with options saved. #511 [Improvement]
* Code review and cleaning of the customizer #404 [Code Cleaning]
* Google Search iframe had some header alignment issues in Design 3. #624 - Thank you Leo Osa @leoosa for the contribution! [Bug fixed]
* AMP Frontpage + Override AMP Content = Blank page #604 [Bug fixed]
* Widget area added on the homepage with an 'AMP Category Blocks' widget. It means you can display multiple category blocks the homepage. This allows you to display complex layouts, even on AMP. [Major Improvement]
* Auto-append /amp at the end of internal links in Menu with an option in the Menu section of the options panel #531 [Major Improvement]
Reformatting and Minifying of stylesheet [Code Cleaning]
* Created a new section for Homepage and moved some controls from other areas to the home section for the better user experience. [User Experience]
* Override Homepage Thumbnail size option added. It will give you more control over your thumbnails. [Major Improvement]
* New color picker added to change the color of the header elements in the Design 3 to give you better control over the design. [Enhancement]
* Extra amp-carousel script loading is now fixed. [Bug fixed]
* Crafting of layout code in design 2 and design 3, especially with social icons area. [Code Cleaning]
* Design of search form was not clickable in iOS devices #621 [Bug fixed]
* Disqus iframe was loading even when there was no disqus name was added in the option. We found that many users might be enabling it without knowing the output and then they seem to forget, which was causing them validation warnings. [Bug fixed]

= 0.9.43.6 =
* View more details at https://ampforwp.com/stability-sprint-3-51st-update/
* Typo in the is_home() function fixed
* Option to hide/show AMP on all custom post types #587
* False detection by Windows defender tool fixed
* Conditional tags were not compatible with Advanced AMP ads which were causing some conflicts but is now fixed.

= 0.9.43.5 = 
* View more details at https://ampforwp.com/stability-sprint-2-50th-update/
* Fixed shortcodes issue in related posts #543
* Iframe Scripts Added properly
* Proper conditions added for the social section of Design 3
* Featured Image issue stretched in Design 2 & 3
* Removed extra global $redux_builder_amp;
* Custom Logo Dimensions option added #479
* Index & NoIndex options added for SEO section. #558
* Added URL for rewrite flushing rules in Options
* Option to enable and disable the Author area in Design 3#577
* Rel Nofollow added in credit link
* debug issue solved: fn_offset not defined
* debug issue solved: global $post not declared
* The word 'ago' is now translatable in design 3
* The word 'read next' is translatable now
* Tablepress compatibility added #392
* Secure API server is now serving through Google Cloud Manager.
* Thrive Content builder was displaying twice when the Custom AMP content was on. It was a complex issue which has been solved now.
* amp-ad extension.js script was loading if the Ads are not enabled. #598
* Social Share Extension Included on Homepage even if we didn't have social icons #599
* Installation UX improvement #593
* Removed duplicate global variable
* Proper OG tags added #588
* Proper instructions added for Custom AMP content #471


= 0.9.43.1 = 
* View more details at https://ampforwp.com/0-9-43-1-released-stability-sprint-1-49th-update/
* Emoji in comments leads to AMP errors
* Design 1 showing time on archives
* Added some space between the archive label.
* Lazy loading plugins compatibility #544
* Custom header and footer areas
* Sticky posts now come on top #564
* Footer non-amplink added in design 3 #562
* HTML Paragraph tag is shown in the title in category! #518

= 0.9.42 = 
* View more details at https://ampforwp.com/design-three-update/
* Design 3 was released – Video Overview  along with new options and features. View the video overview at: https://www.youtube.com/watch?v=ub1pwskt3Rc [Major Feature]
* Ticket #517 – Added Upload field into Redux core [3rd party Compatiblity]
* Ticket#529 Controls for archive titles added [Improvement]
* Ticket #548 Jetpack photon code removed

= 0.9.41 = 
* View more details at https://ampforwp.com/disqus-comments-in-amp/
* Disqus Comments in AMP Support Added [New Feature] - This feature can be enabled from Dashboard > AMP Options > Disqus Comments
* AMP WooCommerce supported tag was missing after the last update. [Bug fix]
* Homepage & Related Posts was displaying private and protected posts, which is now fixed [Bug fix]
* Next previous links added in Design 1 [Enhancement]
* Invalid Post Time displaying in the homepage of Design 1 [Bug fix]
* Twitter share now includes the twitter handle of the author with setting in options [Enhancement]
* Emoji in comments leads to AMP errors was fixed [Bug fix]
* Date are now displayed on archives in Design 1 [Enhancement]
* When RTL enabled logo merges with nav bar was fixed  [Bug fix]
* Jetpack Photon compatibility added  [3rd Party Compatibility]

= 0.9.40 =
* View more details at https://ampforwp.com/0-9-40-released-biggest-stability-update/
* Proper endpoints added [Improvement]
* Flush Rewrites properly [Improvement]
* REL Canonical properly getting added. [Improvement]
* Proper Frontpage Canonical added [Improvement]
* Added Base name support for categories and tags [Improvement]
* Redirection of excluded post solved. [Bug fix]
* Archives properly redirecting to the right URL [Bug fix]
* Homepage redirection solved [Bug fix]
* Plusone tag is stripped properly. [Validation Issue fixed]
* Archives are now clickable. [Improvements]
* WP_Query filter added for better customizability of Homepage loop. [Better Customizations]
* Social share boost plugin compatibility. [3rd party Customizations]
* Removed H1 from the frontpage even if it is not available. [Improvement]
* H3 instead of H1 for Site title. So there is only one H1 per page. [SEO Improvement]

= 0.9.38 =
* View full details at https://ampforwp.com/google-tag-manager-for-amp/
* Google Tag manager included [New feature]
* Iframe max-width added [Improvement]
* Paginated pages have different titles now. [Bug fix]

= 0.9.37 =
* View full details at https://ampforwp.com/category-tags-archive-support-added/
* Debug issues solved [Bug fix]
* Remove Extra styling added by other Themes/ Plugins [3rd party themes and plugin Support]
* Category, Tags & Archive Support with titles added [Enchancement]
* Archive Title support added [Enchancement]
* There were some issues with attachments [Bug fix]
* removed ? from amp url's [Improvement]
* Mobile redirection for Archives added and 404 redirections removed for archives [Improvement]
* View non-amp version now properly redirects to the normal version. #415 [Bug fix]
* Added an option to turn off AMP support for Homepage. [Enchancement]
* Too many redirects issue on homepage is fixed #435 [Improvement]
* Spell check and G tags are removed for thrive & Spell check compatibility [Better Validation]
* If image is not available in gravatar fixed, it was throwing an error #365 #327 [Improvement]
* Comment anchor link changed for simplecomment button files in both designs [Improvement]
* Redirection Loop issue fixed [Bug fix]
* Shortcodes were visible in excerpt, it's fixed now. [Improvement]
* Defer onload by other plugins was causing issues #431 [Better Validation & 3rd party support]
* Improved Sessions [Improvement]
* Advnaced Settings panel was created for better user experience. [Improvement]
* Spell check tag was causing validation issues. [Better Validation & 3rd party support]
* RTL issue fixed #454 [Bug fixed]

= 0.9.36 =
* Full details at https://ampforwp.com/0-9-36-released-stability-update-43rd-update/
* Redux Core Update. Better compatibility with the Salient theme and Themeforest themes & plugins using redux framework in their core, which makes the plugin much stable. [Huge Improvements]
* Hide advertisement section if advance ads plugin is active. [Better User experience]
* Ultimate Social Media PLUS Plugin Compatibility (Link) [3rd Party plugin Compatibility & Better Validation]
* Launch Post Builder button added. One of the important feature called ‘Post Builder’, that is drag and drop post builder was somewhere hidden in the customizer, so positioned it for better visibility from users. [Better UX]

= 0.9.35 =
* Full details at https://ampforwp.com/page-builder-realtime-preview-3rd-party-plugins-compatibility/
* Customizer page builder (Design Manager) was not showing real-time preview, we have fixed this issue properly [Bug fix]
* Attachment page was having the wrong endpoint. [Bug fix]
* Fb:like div has href, showfaces, send and action tag, which was against validation [Validation Improvement]
* A plugin (Spam Protection by CleanTalk, no Captcha Anti-Spam) was forcefully adding script into the AMP version. [3rd party Compatibility]
* Lang attributes were added [Enhancement]
* The tag like was disallowed in the AMP [Validation Improvement]
* We did some more testing with Visual Composer & AMP [3rd party Compatibility]
* AMP on Pages option was not working in some cases. [Bug fix]
* Disable comment button when comments were disabled. This was fixed by @lofesa and was sent as a pull request. Thank you Lofesa!
* g:plusone tag was not getting removed properly. [Validation Improvement]
* Thrive headline optimizer was having issues in AMP version. [Validation Improvement]
* Structured Data Image width issue solved [Enhancement]
* BJ Lazy Load was having issues, we have added a fix which will make this plugin compatible with the AMP. [3rd party Compatibility & Validation Improvement]
* imageanchor=”1″ was getting added by some 3rd party plugin, this was fixed.[Validation Improvement]

= 0.9.34 =
* Newspaper theme by Tagdiv was having issues, we have fixed this one. 

= 0.9.33 [15th Jan 2017] =
* Full details at https://ampforwp.com/debug-errors-shortcodes/
* Mobile was not working with Newspaper theme by Tagdiv [Bugfix]
* Debug errors fixed, Code is now much cleaner.
* New rewrite rules for homepage pagination. It had some paginated URLs with wrong amphtml tag.
* Extra analytics file was loading. Better compatibility with Yoast & Monster analytics.
* Properly removes AMP if turned off from Post panel
* z-index position improved on Sticky Social bar
* Better compatibility with shortcodes.
* Divi Standard Layouts Compatibility
* Properly Hide AMP posts if excluded. #367
* Mobile redirection was causing loop issues which are now fixed.
* Some plugins were loading in core AMP js file, which was causing the issues, which is now fixed. [Better Validation]
* onclick was getting added in the links on AMP version. Issue fixed. [Better Validation]
* thrive_headline tag was getting added in the Title tag which was causing validation issues. Fixed. [Better Validation]
* Some interactive plugins were using place, state, city and imap tags which are now fixed. [Better Validation]

= 0.9.32 [7th Jan 2017] =
* Full details at https://ampforwp.com/first-wave-of-polishing-in-2017/
* Rel=canonical issue fixed: AMP URL redirect to the normal URL #293 & #332.
* Paginated pages on homepage redirect to homepage URL #335
* Title of the page should be displayed on the FrontPage #358
* Thrive Builder AMP Validation Compatibility, so it will be validated properly in AMP.
* Twitter Sharing improved so it gets the data properly #341
* Option to change the number of Related Posts #290
* Validation errors due to rel="canonical" was missing on some pages
* Comment button displays even if the comments are not available
* Threaded comments were duplicating, so that issue is solved and added proper CSS for it.
* Minor issue with Jetpack Comments fixed.
* Missing amp-social-share.js on front page fixed #372
* Minor improvements to Title and description tags.
* Analytics Script was loading twice when Glue was active.
* Page specific class added for better customization compatibility #377
* Inline Style support added Fixed #356
* Bugs fixed in Email notification pointer

= 0.9.31 [2nd Jan 2017] =
* Proper Details at https://ampforwp.com/amp-0-9-31-released-installation-user-experience/
* Proper Condition added for the scripts to load in Frontpage.php
* Rel canonical properly added for front pages
* 404 and Archive page Mobile redirection code refined
* User Experience Improvement: Installation process was improved

= 0.9.3 [31th December 2016] =
* Proper Details at https://ampforwp.com/custom-amp-content-editor/
* Custom AMP Editor - Which allows you to override your Content that you had written in Post or page, so you can add the different content just for AMP.
* FrontPage had some validation issues. [Bug fix]
* Related posts in Design 1 we're redirecting to 404 fixed [Bug fix]

= 0.9.2.2 [27th December 2016] =
* Proper Details at https://ampforwp.com/polishing-user-experience-improvements/
* Made the Options panel user-friendly
* Social Share on frontpage issue fixed.
* Readme.txt made user-friendly.
* Archive option removed and some UI improvements
* Single was not displaying the Title
* 'Type is not allowed' [Validation issue fixed]
* noshade tag Validation issue fixed

= 0.9.2.1 [24th December 2016] =
* Proper Details at https://ampforwp.com/step-towards-fixing-amp-validation-errors/
* Disabled the Tags and Categories support for AMP for better validation until we find a better solution.
* Mobile redirection bug fixed, It was continuously redirecting to the same page [Bug fix]
* trailingslashit added to make sure we have proper url for Mobile redirection [Bug fix]
* In content AD overlapping the content issue fixed

= 0.9.2 [23th December 2016] =
* Proper Details at https://ampforwp.com/mobile-redirection/
* AMP Mobile Redirection Feature added. It can be turned on from Dashboard > General and then Mobile Redirection. [New Feature]
* Archive title and description added [Improvement]
* Improved the Speed of the AMP version #321 [Improvement]
* Anchor link was not closing fixed #328 [Bug Fix]
* Typo in Trailingslashit function which resulted in some issues in the Homepage version [Bug Fix]

= 0.9.1.2 [20th December 2016] =
* Proper Details at http://ampforwp.com/new/
* DoubleClick Support
* Custom Post Type Support
* Ratings Support
* Comments Gaping fix
* Custom Excerpt code
* Better Compatibility with Yoast SEO plugin
* AMP Validation error in Design 1 Fixed
* Proper Homepage title & Description with Yoast SEO plugin issue fixed
* Design -1 Excerpt too big for mobile devices, Fixed
* Advertisement support on Design 1
* Link to Tags & Categories were having some issues.
* AMP looking bad on big devices
* AMP validation Improvement: Lightbox plugins compatibility
* Huge Progress in AMP Validation Errors: Strip unwanted codes and tags from wp_footer for better compatibility with Plugins
* Page Performance: Removed default Google font loading
* Page Performance: DNS Prefetch tag added for faster DNS Handshake

= 0.9.1 [16th December 2016] =
* Proper Details at http://ampforwp.com/new/
* PHP7 Compatibility
* Pagination URLs (Prev & Next) was going to 404 ( #244 | #251 )
* Custom CSS not working in Design one (#249)
* Enhanced the translation panel by adding Textarea from Redux, which means that we're able to allow HTML in footer like before (#260)
* How to remove “Powered by WordPress” from Design-1 of AMP ( #264 )
* Non-amp Homepage support added (#267)
* using get_avatar() (#259)
* Validation issue fixed: The attribute 'rel' may not appear in tag 'div' (#268)
* Validation Issue fixed: Script Tag removed from the content.
* Featured image in Design 1 in single #261
* After Fresh installation - a save is required Fixed
* Excerpt length controlled
* Design One has thumbnails on the Homepage
* Non-AMP link goes to the wrong page, issue fixed.
* Archive pages were broken, fixed.
* Option to Enable & Disable the Next/Previous links in Single
* WhatsApp sharing not working, issue fixed.
* Category Taxonomy has extra ':' in the word.
* The word 'Ago' is now translatable.
* Yoast SEO with AMP compatibility issue fixed.
* Several Minor Polishing in the code
* Footer Ad gets covered by Sticky Social Icons (#269)
* Smaller image size when “image caption” is used in Design-2 (#263)
* Footer ad with Sticky Social bar issue fix
* Checked with WordPress 4.7
* Ad #1 was messing up with the title, issue fixed.
* Compatibility improved with AMP WooCommerce.

= 0.9 =
* Proper Details at http://ampforwp.com/amp-pagebuilder/
* Drag & Drop Page builder Added: You can easily modify the look of the AMP page using this feature
* 100% Yoast Compatible , Now no need to have additionally Glue Installed
* 100% completed Translation panel, Now absolutely anything on page is translated
* Added Option to turn on/off Page Support
* Styling for Tags was Corrected
* Made changes to these sections to reflect in the new Design manager : Related Posts, Footer
* Default Image alignment styling added
* Added Option to turn on/off Page Support
* Related Posts Now use Custom Excerpt if it Exists
* Now AMP pages wont have Validation errors because of 'rel' attribute in 'div' Tag or 'onclick' attribute in 'a' Tag
* <pre> Tag styling issue fixed for AMP pages
* Frontpage (Homepage) Compatibility with AMP which means better validation of front page.
* WooCommerce Support Added https://wordpress.org/plugins/amp-woocommerce/ (for E-Commerce)
* 2 New Designs added
* SEO Panel Added

= 0.8.8 =
* Proper Details at http://ampforwp.com/amp-0-8-8-released-translation-panel/
* Translation Panel added. You can now easily translate the AMP version from the backend without any complications.
* Badge Tag was throwing Validation error
* Plusone tag validation error was fixed
* Time tag was validation error was fixed
* User experience for Mobile devices was improved
* Meta info was messing up in smaller devices, it was fixed as well.
* Internal AMP linking added for Categories and Tags
* Future errors for AMP ads was fixed
* Blockquote styling added
* “Please Activate parent Plugin settings” added for better User Experience.
* Related Post Ux improvement
* Plugin version added in Footer source code for better debugging
* Added Support for Default WordPress Image alignment
* New action hooks added in index page
* Featured Image Size options added

= 0.8.7 =
* Proper Details at http://ampforwp.com/amp-0-8-7/
* added option to enable/disable AMP on Archive pages (Ticket #188)
* Solved 404 on Related Posts (Ticket #178 )
* Related posts by either categories or Tags(Ticket #179)
* added a link to menu Section from the AMP Options page(Ticket #190)
* Added Support for Piwik Analytics(Ticket #163)
* Added Support for Segment.com Analytics(Ticket #50)
* Added a switch for hiding Non-Amp page link from Footer.( Ticket #189)
* Added an Option that strips Users URL from Comments Section(Ticket #180)
* Fixed stripping  <date> tags from the content , Since it was preventing validation – amp-img issues fixed
* UX Improved for every section of AMP Options page
* Added Settings button on plugin page
* Related posts switch added
* Removed carousel.js


= 0.8.6.1 =
* Date Tag fix
* Few validation issues after 0.8.6 were fixed (Frontpage amp-img strip issue fixed)

= 0.8.6 =
* Proper Details at http://ampforwp.com/amp-0-8-6-released-related-posts-comments/
* Related Posts
* Post Comments
* WhatsApp sharing button – Your visitors can now easily share the content over the whatsapp.
* Validation issue fixed by All In One Schema.org Rich Snippets plugin
* Removed Google Fonts loading for Performance
* New relic Support
* Class added to ‘View Non-AMP Version’ text
* Archives Structured Data issue fixed
* Some instances img tags converted into amp-img automatically.


= 0.8.5.3 =
* Canonical issue fixed for Post

= 0.8.5.2 =
* Canonical issue fixed for FrontPage

= 0.8.5.1 =
* Proper Details at http://ampforwp.com/new/
* Validation issue fixed: 'Value' tag
* Validation issue fixed: The attribute 'contenteditable' may not appear in tag 'a'.
* Validation issue fixed: Table markup
* Validation issue fixed: nowrap and misc tags
* New Relic Support
* Tags on off option
* Canonical and correct AMP html Redirect issues Solved
* NextGEN Gallery Validation Support Added

= 0.8.5 =
* Proper Details at http://ampforwp.com/the-0-4-compatibility/
* AMP 0.4 Compatibility Check
* Even better Structured Data Validation, Once in for all!
* Structured Data Options to eliminate Validation errors
* AMP Page Exclude option

= 0.8.4 =
* Proper Details at http://ampforwp.com/blog/structured-data-validation/
* Structured Data Validation
* Navigation Text Change
* Inline Style Validation
* Form Validation
* Frontpage shows the amphtml rel twice fixed
* Facebook Sharing not working

= 0.8.3 =
* Prefix added in the Content filter
* Extra space after quote in Ads

= 0.8.2 =
* Proper Details at http://ampforwp.com/blog/the-custom-frontpage/
* Custom AMP FrontPage
* Featured Image
* New Mobile Friendly Advertisement sizes
* Single Post Pagination Option
* RTL Support
* Notifications
* Gaping if the Meta was turned off.
* Analytics was not fetching the user id properly.
* Page was not using the post template along with the AD support.
* AMP Endpoint support for Paged when the front page is active.
* UI improvement of Admin panel
* Few Validation issues fixed

= 0.8.1 =
* Warning: Cannot modify header information error fixed
* Validation issue fixed. KK Star Plugin compatible.
* Gaping in the smaller screens fixed

= 0.8 =
* Proper Details at http://ampforwp.com/blog/the-change/
* Plugin was re-written from scratch and is now built on top of default AMP plugin by Automattic but giving you the same features of the original plugin.
* 99.5% Validation issues were fixed.
* Page builder & Shortcodes Compatibility Support Added
* Conflict with JSON API
* Carousel support for Gallery
* Better Image stretching and resizing
* Youtube Video Embed Support
* Vine Embed Support
* Twitter oembed Support
* Instagram Embed Support
* Facebook Video Embed Support
* Better Future Compatibility

= 0.7.7 =
* Proper Details at http://ampforwp.com/blog/amp-0-7-7/
* Big Validation Error fix Update
* Disable AMP support on specific Pages and Posts
* Option to disable the Post meta from the Single
* Footer Credits and Copyright Text Option
* New options for Social Sharing Bar in Single
* Jetpack Social & Related Sharing Issue fixed
* Gaping in footer if the Sticky bar is enabled
* Text domain added on few strings

= 0.7.6 =
* Google Adsense Support Added with AMP-Ad
* Wrong Homepage rel amphtml bug fixed

= 0.7.5 =
* Google Analytics Support Added
* Logo Support Added. If the logo is disabled, then the Title should be activated.
* Color Scheme Feature Added
* User friendly Options Panel Added
* iFrame support Added
* Few Minor Bugs Fixed

= 0.7.1 =
* Bug #24 (Github) fixed
* Strip Style tags for faster & better validation
* Bug #21 (Github) fixed

= 0.7 =
* Canonical Improved
* Navigation Validation bug fixed
* Two more validation bugs fixed ('role' and 'tabindex' attribute)
* Featured image automatically hides if it is not present
* Validation issues in the images of the post's the_content

= 0.6 =
* Improved Navigation Menu
* Search Console errors fixed
* Social Sharing option
* Pages support
* Force redirection for mobile users removed and many other bug fixes

= 0.5 =
* Added AMP Markup for Google Structured data. This will fix the issues in Webmaster tools.

= 0.4 =
* Support of Custom menu added for AMP enabled sites

= 0.3 =
* Support of amp-img added in single posts
* minor css bug fixed

= 0.2.5 =
* Minor bugs fixed
* ?mobile & ?nomobile is now ?amp & ?noamp

= 0.2 =
* White Screen of death issue fixed
* Plugin URI updated

= 0.1 =
* Initial version
